using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

public partial class Form1 : Form
{
    private MyUserSettings myUserSettings;

    public Form1()
    {
        myUserSettings = new MyUserSettings();
        InitializeComponent();
    }

    private void anwenderAnmeldenToolStripMenuItem_Click(object sender, EventArgs e)
    {
        UserNameDialog dialog = new UserNameDialog();

        if (dialog.ShowDialog() == DialogResult.OK)
        {
            myUserSettings.UserName = dialog.UserName; 
            label1.Text = "Hallo " + dialog.UserName;
        }            
    }

    private void beendenToolStripMenuItem_Click(object sender, EventArgs e)
    {
        this.Close();
    }

    private void Form1_Load(object sender, EventArgs e)
    {
        label1.Text = "Hallo " + myUserSettings.UserName;
        this.Text = myUserSettings.FormTitle;
        this.DataBindings.Add("Size", myUserSettings, "FormSize", false, DataSourceUpdateMode.OnPropertyChanged);
    }

    private void Form1_FormClosing(object sender, FormClosingEventArgs e)
    {
        myUserSettings.Save();
    }
}
