using System;
using System.Drawing;
using System.Configuration;

class MyUserSettings : ApplicationSettingsBase
{
    [UserScopedSettingAttribute()]
    [DefaultSettingValue("Noname")]
    public string UserName
    {
        get
        {
            return (string)this["UserName"];
        }
        set
        {
            this["UserName"] = (string)value;
        }
    }

    [UserScopedSettingAttribute()]
    [DefaultSettingValueAttribute("300, 200")]
    public Size FormSize
    {
        get
        {
            return (Size)this["FormSize"];
        }
        set
        {
            this["FormSize"] = value;
        }
    }

    [UserScopedSettingAttribute()]
    [DefaultSettingValueAttribute("Benutzereinstellungen")]
    public String FormTitle
    {
        get
        {
            return (string)this["FormTitle"];
        }
    }
}
