using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ModaleDialoge
{
    public partial class Form1 : Form
    {
        private OptionDialog dialog;   // Feld fr Dialog
        
        public Form1()
        {
            InitializeComponent();
            
            // Dialogformular bei Start der Anwendung erzeugen, aber nicht anzeigen
            dialog = new OptionDialog();

            // Dialogfenster fr ersten Aufruf konfigurieren
            dialog.radioButton1.Checked = true;
            dialog.radioButton4.Checked = true;
        }

        private void optionenToolStripMenuItem_Click(object sender, EventArgs e)
        {
            // Dialogformular anzeigen und auswerten
            if (dialog.ShowDialog() == DialogResult.OK)
            {
                // Vordergrundfarbe
                if (dialog.radioButton1.Checked)
                    ForeColor = Color.Black;
                if (dialog.radioButton2.Checked)
                    ForeColor = Color.White;
                if (dialog.radioButton3.Checked)
                    ForeColor = Color.Red;
                    
                // Hintergrundfarbe
                if (dialog.radioButton4.Checked)
                    BackColor = SystemColors.Control;
                if (dialog.radioButton5.Checked)
                    BackColor = Color.White;
                if (dialog.radioButton6.Checked)
                    BackColor = Color.Black;
            }
        }

        private void beendenToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Close();
        }
    }
}