using System;
using System.Collections.Generic;
using System.Text;

namespace Datenbindung
{
    enum Krankenkasse { BPL, Mandarin, Karma, Danziger };
    class Patient
    {
        private string vorname;
        private string nachname;
        private Krankenkasse kasse;
        public event EventHandler NachnameChanged;
        
        public Patient(string vorname, string nachname, Krankenkasse kasse)
        {
            Vorname = vorname;
            Nachname = nachname;
            Kasse = kasse;
        }
        
        public string Vorname
        {
            get { return vorname; }
            set { vorname = value; }
        }
        public string Nachname
        {
            get { return nachname; }
            set { 
                  nachname = value;
                  if (NachnameChanged != null)
                    NachnameChanged(this, new EventArgs());
                }
        }
        public Krankenkasse Kasse
        {
            get { return kasse; }
            set { kasse = value; }
        }
    }}
