using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Datumsauswahl
{
    public partial class Form1 : Form
    {
        MonthCalendar myMonthCalendar;
        DateTimePicker myDateTimePicker;
        
        public Form1()
        {
            InitializeComponent();
            myMonthCalendar = new MonthCalendar();   // Instanziierung   
            myMonthCalendar.Parent = this;               // oder this.Controls.Add(myMonthCalendar)     
            myMonthCalendar.Location = new Point(20, 20);

            myMonthCalendar.SelectionRange = new SelectionRange(new System.DateTime(2008, 5, 21), 
                                                                new System.DateTime(2008, 5, 22));

            // Tag der Geburt eintragen
            myMonthCalendar.BoldedDates = new DateTime[] {new DateTime(1975, 12, 26, 0,0,0,0)};

            // Geburtstage zweier Personen eintragen
            myMonthCalendar.AnnuallyBoldedDates = new DateTime[] {
                                             new DateTime(1975, 12, 26, 0,0,0,0),
                                             new DateTime(1965, 2, 26, 0,0,0,0)};
                                             
                                             
            myDateTimePicker = new DateTimePicker();  // Instanziierung   
            myDateTimePicker.Parent = this;        // Alternative zu this.Controls.Add(myLabel)     
            myDateTimePicker.Location = new Point(204, 18);
            myDateTimePicker.ShowUpDown = false;
            myDateTimePicker.Value = new DateTime(1975, 12, 26);
            
            myDateTimePicker.CustomFormat = "dd. MMM yyyy (hh:mm)";
            myDateTimePicker.Format = DateTimePickerFormat.Custom;
                                             
        }

        private void button1_Click(object sender, EventArgs e)
        {
            MessageBox.Show(myMonthCalendar.SelectionStart.ToString() );
            MessageBox.Show(myDateTimePicker.Value.ToString());
            MessageBox.Show(myDateTimePicker.Text);
        }
    }
}