using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace MDI
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            
            IsMdiContainer = true;
            
            menuStrip1.MdiWindowListItem = fensterToolStripMenuItem;
            fensterToolStripMenuItem.Visible = false;
        }

        // Datei / Neu
        private void neuToolStripMenuItem_Click(object sender, EventArgs e)
        {
            MDIChild newMDIChild = new MDIChild();
            newMDIChild.MdiParent = this;
            newMDIChild.Show();
            fensterToolStripMenuItem.Visible = true;
        }

        // Datei / ffnen
        private void ffnenToolStripMenuItem_Click(object sender, EventArgs e)
        {
            MDIChild newMDIChild = new MDIChild();
            newMDIChild.MdiParent = this;
            
            // Hier wrde an sich das ffnen-Dialogfenster aufgerufen
            // Wir geben den Dateinamen einfach vor
            newMDIChild.Open("..\\..\\ArchibaldDouglas.txt");
            
            newMDIChild.Show();
            fensterToolStripMenuItem.Visible = true;

        }

        // Datei / Beenden
        private void beendenToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void Form1_MdiChildActivate(object sender, EventArgs e)
        {
            // Fenster-Men ausblenden, wenn keine untergeordneten Fenster geffnet
            if (ActiveMdiChild == null) 
                fensterToolStripMenuItem.Visible = false;

        }

        // Fenster / Neues Fenster
        // Dieser Menbefehl sollte eigentlich eine Kopie des gerade aktiven Kind-
        // fensters erzeugen. Dienen die Kindfenster der Bearbeitung bestimmter
        // Dokumente gehrt dazu auch, dass das neue Fenster die gleiche Datei ldt. 
        // Hier wird jedoch der Einfachheit halber nur ein neues Fenster erzeugt.
        private void neuesFensterToolStripMenuItem_Click(object sender, EventArgs e)
        {
            MDIChild newMDIChild = new MDIChild();
            newMDIChild.MdiParent = this;
            newMDIChild.Show();
        }

        // Fenster / berlappend
        private void berlappendToolStripMenuItem_Click(object sender, EventArgs e)
        {
            LayoutMdi(MdiLayout.Cascade);
        }

        // Fenster / bereinander
        private void untereinanderToolStripMenuItem_Click(object sender, EventArgs e)
        {
            LayoutMdi(MdiLayout.TileHorizontal);
        }

        // Fenster / Nebeneinander
        private void nebeneinanderToolStripMenuItem_Click(object sender, EventArgs e)
        {
            LayoutMdi(MdiLayout.TileVertical);
        }

         // Fenster / Alle schlieen
       private void alleSchlieenToolStripMenuItem_Click(object sender, EventArgs e)
        {
            foreach (Form mdiChild in MdiChildren)
                mdiChild.Close();
        }
    }
}