using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Animation_v1
{    
    
    public partial class Form1 : Form
    {
        Image[] figure;
        Point pos;
        int nextImg;
        Timer timer1;
        
        public Form1()
        {
            InitializeComponent();
            
            figure = new Image[16];
            figure[0] = Animation_v1.Properties.Resources.Figur_01;
            figure[1] = Animation_v1.Properties.Resources.Figur_02;
            figure[2] = Animation_v1.Properties.Resources.Figur_03;
            figure[3] = Animation_v1.Properties.Resources.Figur_04;
            figure[4] = Animation_v1.Properties.Resources.Figur_05;
            figure[5] = Animation_v1.Properties.Resources.Figur_06;
            figure[6] = Animation_v1.Properties.Resources.Figur_07;
            figure[7] = Animation_v1.Properties.Resources.Figur_08;
            figure[8] = Animation_v1.Properties.Resources.Figur_09;
            figure[9] = Animation_v1.Properties.Resources.Figur_10;
            figure[10] = Animation_v1.Properties.Resources.Figur_11;
            figure[11] = Animation_v1.Properties.Resources.Figur_12;
            figure[12] = Animation_v1.Properties.Resources.Figur_13;
            figure[13] = Animation_v1.Properties.Resources.Figur_14;
            figure[14] = Animation_v1.Properties.Resources.Figur_15;
            figure[15] = Animation_v1.Properties.Resources.Figur_16;
            
            pos = new Point(50, 50);
            nextImg = 0;
            
            // Timer erzeugen, konfigurieren und starten
            timer1 = new Timer();
            timer1.Interval = 100;
            timer1.Tick += new System.EventHandler(this.timer1_Tick);
            timer1.Start();
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            nextImg = ++nextImg % figure.Length;
            this.Invalidate();
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            e.Graphics.FillRectangle(Brushes.Black, pos.X, pos.Y, 170, 200);
            e.Graphics.DrawImage(figure[nextImg], pos.X, pos.Y, 170, 200);
            e.Graphics.DrawRectangle(Pens.Black, pos.X, pos.Y, 170, 200);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (this.DoubleBuffered == false)
            {
                this.DoubleBuffered = true;
                button1.Text = "Buffering ausschalten";
            }
            else
            {
                this.DoubleBuffered = false;
                button1.Text = "Buffering einschalten";
            }
        }
    }
}