using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace Animation_v1
{

    class MyPanel : Panel
    {
        public Button button;
        public Label label;
        public bool Buffered;
        
        public MyPanel()
        {
            Buffered = false;
           
            this.label = new Label();
            this.label.Parent = this;
            this.label.AutoSize = true;
            this.label.Location = new System.Drawing.Point(20, 10);
            this.label.Name = "label0";

            this.button = new Button();
            this.button.Parent = this;
            this.button.Location = new System.Drawing.Point(25, 240);
            this.button.Name = "button0";
            this.button.Size = new System.Drawing.Size(120, 20);
            this.button.Text = "Buffering einschalten";

        }

        public new bool DoubleBuffered
        {
            get { return base.DoubleBuffered; }
            set { base.DoubleBuffered = value; }
        }
            
        public void NoUserPaint()
        {
            if (Buffered == false)
            {
                this.SetStyle(ControlStyles.AllPaintingInWmPaint, true);
                this.SetStyle(ControlStyles.UserPaint, true);
                Buffered = true;
                button.Text = "Buffering ausschalten";
            }
            else
            {
                this.SetStyle(ControlStyles.AllPaintingInWmPaint, false);
                this.SetStyle(ControlStyles.UserPaint, false);
                Buffered = false;
                button.Text = "Buffering einschalten";
            }
        }
            
        public void Buffering()
        {
            if (Buffered == false)
            {
                this.SetStyle(ControlStyles.AllPaintingInWmPaint, true);
                this.SetStyle(ControlStyles.UserPaint, true);
                this.SetStyle(ControlStyles.DoubleBuffer, true);
                Buffered = true;
                button.Text = "Buffering ausschalten";
            }
            else
            {
                this.SetStyle(ControlStyles.AllPaintingInWmPaint, false);
                this.SetStyle(ControlStyles.UserPaint, false);
                this.SetStyle(ControlStyles.DoubleBuffer, false);
                Buffered = false;
                button.Text = "Buffering einschalten";
            }
        }
            
      
    }
}
