﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Ereignisse
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public static RoutedCommand ShowEvents = new RoutedCommand(); 

        public Window1()
        {
            InitializeComponent();

            CommandBinding cbNew = new CommandBinding(ApplicationCommands.New);
            cbNew.Executed += NewHandler;
            cbNew.CanExecute += NewExecuteHandler;

            CommandBinding cbShow = new CommandBinding(ShowEvents);
            cbShow.Executed += ShowHandler;

            this.CommandBindings.Add(cbNew);
            this.CommandBindings.Add(cbShow);
        }

        private void NewHandler(object sender, ExecutedRoutedEventArgs e)
        {
            textBox1.Text = "";
        }
        private void NewExecuteHandler(object sender, CanExecuteRoutedEventArgs e)
        {
            e.CanExecute = (textBox1.Text.Length > 0);
        }

        private void ShowHandler(object sender, ExecutedRoutedEventArgs e)
        {
            textBox1.Text += "\n Handler: Button Show    Ereignis: ShowEvents-Command    Sender: " + sender.ToString();
        }


        private void Window_PreviewMouseDown(object sender, MouseButtonEventArgs e)
        {
            textBox1.Text += "\n Handler: Window    Ereignis: PreviewMousedown    Sender: " + sender.ToString();
        }
        private void Window_Click(object sender, RoutedEventArgs e)
        {
            textBox1.Text += "\n Handler: Window    Ereignis: ButtonBase.Click    Sender: " + sender.ToString();
        }
        private void dockPanel1_PreviewMouseDown(object sender, MouseButtonEventArgs e)
        {
            textBox1.Text += "\n Handler: DockPanel    Ereignis: PreviewMousedown    Sender: " + sender.ToString();
        }
        private void dockPanel1_Click(object sender, RoutedEventArgs e)
        {
            textBox1.Text += "\n Handler: DockPanel    Ereignis: ButtonBase.Click    Sender: " + sender.ToString();
        }
        private void grid1_PreviewMouseDown(object sender, MouseButtonEventArgs e)
        {
            textBox1.Text += "\n Handler: Grid    Ereignis: PreviewMousedown    Sender: " + sender.ToString();
        }
        private void grid1_Click(object sender, RoutedEventArgs e)
        {
            textBox1.Text += "\n Handler: Grid    Ereignis: ButtonBase.Click    Sender: " + sender.ToString();
        }
        private void btnShow_PreviewMouseDown(object sender, MouseButtonEventArgs e)
        {
            textBox1.Text += "\n Handler: Button Show    Ereignis: PreviewMousedown    Sender: " + sender.ToString();
        }
        private void btnShow_Click(object sender, RoutedEventArgs e)
        {
            textBox1.Text += "\n Handler: Button Show    Ereignis: Click    Sender: " + sender.ToString();
        }





    }
}
