﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using System.Collections.Generic;

public class OBinding
{
   public OBinding()
   {
   }

   public List<Customer> CustomerSelect()
   {
      List<Customer> customerList = new List<Customer>();

      customerList.Add(new Customer(10));
      customerList.Add(new Customer(20));
      customerList.Add(new Customer(30));
      customerList.Add(new Customer(40));
      customerList.Add(new Customer(50));
      customerList.Add(new Customer(60));

      return customerList;
   }

   public void CustomerUpdate(Customer c)
   {
      int i = c.AgeViewer;
      HttpContext.Current.Response.Write("CustomerUpdate:" + i.ToString());
   }

   public void CustomerInsert(Customer c)
   {
      int i = c.AgeViewer;
      HttpContext.Current.Response.Write("CustomerInsert:" + i.ToString());
   }

   public void CustomerDelete(Customer c)
   {
      int i = c.AgeViewer;
      HttpContext.Current.Response.Write("CustomerDelete:" + i.ToString());
   }
}

public class Customer
{
   private int age;

   public Customer()
   { }

   public Customer(int age)
   {
      this.age = age;
   }

   public int AgeViewer
   {
      get
      {
         return this.age;
      }
      set
      {
         this.age = value;
      }
   }
}
