﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.ServiceProcess;
using System.Text;

using System.Runtime.Remoting;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Http;

namespace WinServiceApp
{
   public partial class Service1 : ServiceBase
   {
      public Service1()
      {
         InitializeComponent();
      }

      protected override void OnStart(string[] args)
      {
         HttpServerChannel channel = new HttpServerChannel(1234);

         ChannelServices.RegisterChannel(channel, false);

         RemotingConfiguration.RegisterWellKnownServiceType
         (typeof(WinServiceCom.Customers), "Customers", WellKnownObjectMode.SingleCall);

         EventLog.WriteEntry("WinServiceApp", "Service ist gestartet", EventLogEntryType.Information);
      }

      protected override void OnStop()
      {
         EventLog.WriteEntry("WinServiceApp", "Service wurde beendet", EventLogEntryType.Information);         
      }
   }
}
