using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Quiz
{
    public partial class MQ_Form : Form
    {
		internal GameLogic gameLogic = new GameLogic();
		
        public MQ_Form()
        {
            InitializeComponent();

            // erste Frage einblenden
            gameLogic.questions[gameLogic.currQuestion].Display(this);
        }


        private void answer1_Click(object sender, EventArgs e)
        {
            gameLogic.Evaluate(1, this);
        }

        private void answer2_Click(object sender, EventArgs e)
        {
            gameLogic.Evaluate(2, this);
        }

        private void answer3_Click(object sender, EventArgs e)
        {
            gameLogic.Evaluate(3, this);
        }

        private void answer4_Click(object sender, EventArgs e)
        {
            gameLogic.Evaluate(4, this);
        }

        private void neuStartenToolStripMenuItem1_Click(object sender, EventArgs e)
        {
			System.Windows.Forms.Label tmp;
			gameLogic.winlevel = 0;
			gameLogic.currQuestion = 0;
			gameLogic.questions[gameLogic.currQuestion].Display(this);
			
			this.answer1.Enabled = true;
			this.answer2.Enabled = true;
			this.answer3.Enabled = true;
			this.answer4.Enabled = true;

            for (int i = GameLogic.CONTROLS_BIAS; i < (GameLogic.CONTROLS_BIAS + GameLogic.NUM_QUESTIONS); ++i)
			{
				tmp = (Label) this.Controls[i];
				tmp.ForeColor = Color.Gold;
			}
        }

        private void beendenToolStripMenuItem1_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void MQ_Form_Load(object sender, EventArgs e)
        {
            // Fenster zentrieren
            Size screenSize = Screen.PrimaryScreen.Bounds.Size;
            this.SetDesktopLocation((screenSize.Width - this.Width) / 2, (screenSize.Height - this.Height) / 2);

        }
	}
	
}