using System;
using System.Drawing;
using System.ComponentModel;
using System.Windows.Forms;

namespace Tastaturereignisse
{
    public partial class Form1 : Form
    {
        private Font standardFont;
        private Font biggerFont;
        
        public Form1()
        {
            InitializeComponent();

            standardFont = labelA.Font;
            biggerFont = new Font(labelA.Font.Name, labelA.Font.Size + 5.0F,
                                  labelA.Font.Style, labelA.Font.Unit);                    
        }

        // Dem Label-Steuerelement fr die gedrckte Taste die 
        // grere Schriftart zuweisen
        private void Form1_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == (Keys.A))
            {
                labelA.Font = biggerFont;
            }
            else if (e.KeyCode == (Keys.S))
            {
                labelS.Font = biggerFont;
            }
            else if (e.KeyCode == (Keys.D))
            {
                labelD.Font = biggerFont;
            }
            else if (e.KeyCode == (Keys.F))
            {
                labelF.Font = biggerFont;
            }
        }

        // Dem Label-Steuerelement fr die losgelassene Taste die 
        // Standard-Schriftart zuweisen
        private void Form1_KeyUp(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == (Keys.A))
            {
                labelA.Font = standardFont;
            }
            else if (e.KeyCode == (Keys.S))
            {
                labelS.Font = standardFont;
            }
            else if (e.KeyCode == (Keys.D))
            {
                labelD.Font = standardFont;
            }
            else if (e.KeyCode == (Keys.F))
            {
                labelF.Font = standardFont;
            }
        }
    }
}