using System;
using System.Collections.Generic;
using System.Text;

namespace Datenbindung
{
    class Customer
    {
        private string firstname;
        private string lastname;
        private string id;
        public event EventHandler IDChanged;
        
        public Customer(string firstname, string lastname, string id)
        {
            Firstname = firstname;
            Lastname = lastname;
            ID = id;
        }
        
        public string Firstname
        {
            get { return firstname; }
            set { firstname = value; }
        }
        public string Lastname
        {
            get { return lastname; }
            set { lastname = value; }
        }
        public string ID
        {
            get { return id; }
            set { 
                  id = value;
                  if (IDChanged != null)
                    IDChanged(this, new EventArgs());
                }
        }
    }
}
