using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Media;

namespace Sound
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            SystemSounds.Asterisk.Play();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            SystemSounds.Beep.Play();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            SystemSounds.Exclamation.Play();
        }

        private void button4_Click(object sender, EventArgs e)
        {
            SystemSounds.Hand.Play();
        }

        private void button5_Click(object sender, EventArgs e)
        {
            SystemSounds.Question.Play();
        }

        private void button6_Click(object sender, EventArgs e)
        {
            SoundPlayer player = new SoundPlayer();
            player.SoundLocation = @"..\..\tada.wav";
            //player.Play();
            
            player.LoadCompleted += player_LoadCompleted;
            player.LoadAsync();
        }
        
        private void player_LoadCompleted(object sender, AsyncCompletedEventArgs e)
        {
            SoundPlayer player = sender as SoundPlayer;
            
            if (player != null)
                player.PlaySync();
        }
    }
}