using System;
using System.Windows.Forms;
using System.Drawing;

namespace SplashScreens
{
    public partial class SplashScreen : Form
    {
        public SplashScreen()
        {
            // Bild in Formular laden
            BackgroundImage = SplashScreens.Properties.Resources.SplashScreen;
            Size = new Size(BackgroundImage.Size.Width + 20,
                            BackgroundImage.Size.Height + 20);

        }
        
        public static Form Start()
        {
            // Splashscreen erzeugen und anzeigen
            SplashScreen form = new SplashScreen();
            form.FormBorderStyle = FormBorderStyle.None;
            form.StartPosition = FormStartPosition.CenterScreen;
            form.Show();
            
            return form;
        }
    }
}