using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Bitmaps
{
    public partial class Form1 : Form
    {
        private System.Drawing.Bitmap bitmap;
        
        public Form1()
        {
            InitializeComponent();
            bitmap = null;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            bitmap = new System.Drawing.Bitmap(200, 200);
            
            Graphics g = Graphics.FromImage(bitmap);
            g.Clear(Color.Turquoise);
            g.FillEllipse(Brushes.Yellow, 50, 50, 100, 100);
            g.Dispose();
            
            bitmap.SetPixel(10, 10, Color.Red);
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            if (bitmap != null)
            {
                e.Graphics.DrawImage(bitmap, 10, 10);
            }
        }
    }
}