﻿<%@ Page Language="C#" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
   protected void MyValidator_Server(object source, ServerValidateEventArgs args)
   {
      if (TextBox4.Text.Length < 3)
         args.IsValid = false;
      //oder JavaScript einbinden ... Button1.Attributes.Add("onclick", 
      //"javascript:alert('Server:Passwort muss mind. 3 Zeichen lang sein');");
   }
</script>

<script language="javascript">
   function MyValidator()
   {
      var tbox = document.all['TextBox4'];

      if(tbox.value.length < 3)
         alert('Client:Passwort muss mind. 3 Zeichen lang sein');
   }
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
   <title>Unbenannte Seite</title>
</head>
<body>
   <form id="form1" runat="server">
      <div>
         <table>
            <tr>
               <td style="width: 100px">
                  <asp:Label ID="Label1" runat="server" Text="Name"/>
               </td>
               <td style="width: 100px">
                  <asp:TextBox ID="TextBox1" runat="server"/>
               </td>
               <td style="width: 100px">
                  <asp:RequiredFieldValidator 
                     ID="RequiredFieldValidator1" 
                     runat="server" 
                     ControlToValidate="TextBox1"
                     ErrorMessage="Eingabe erforderlich">
                     1)
                  </asp:RequiredFieldValidator>
               </td>
            </tr>
            <tr>
               <td style="width: 100px">
                  <asp:Label ID="Label2" runat="server" Text="Email"/>
               </td>
               <td style="width: 100px">
                  <asp:TextBox ID="TextBox2" runat="server"/>
               </td>
               <td style="width: 100px">
                  <asp:RequiredFieldValidator 
                     ID="RequiredFieldValidator2" 
                     runat="server" 
                     ControlToValidate="TextBox1"
                     ErrorMessage="Eingabe erforderlich">
                     2)
                  </asp:RequiredFieldValidator>
                  <asp:RegularExpressionValidator 
                     ID="RegularExpressionValidator1" 
                     runat="server" 
                     ControlToValidate="TextBox2"
                     ErrorMessage="Email hat ungültiges Format" 
                     ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*">
                     3)
                  </asp:RegularExpressionValidator>
               </td>
            </tr>
            <tr>
               <td style="width: 100px">
                  <asp:Label ID="Label3" runat="server" Text="Alter"/>
               </td>
               <td style="width: 100px">
                  <asp:TextBox ID="TextBox3" runat="server"/>
               </td>
               <td style="width: 100px">
                  <asp:RangeValidator 
                     ID="RangeValidator1" 
                     runat="server" 
                     ControlToValidate="TextBox3"
                     ErrorMessage="Außerhalt des Bereiches" 
                     MaximumValue="99" 
                     MinimumValue="18">
                     4)
                  </asp:RangeValidator>
               </td>
            </tr>
            <tr>
               <td style="width: 100px">
                  <asp:Label ID="Label4" runat="server" Text="Passwort"/>
               </td>
               <td style="width: 100px">
                  <asp:TextBox ID="TextBox4" runat="server"/>
               </td>
               <td style="width: 100px">
                  <asp:CustomValidator 
                     ID="CustomValidator1" 
                     runat="server" 
                     ClientValidationFunction="MyValidator"
                     ControlToValidate="TextBox4" 
                     ErrorMessage="MyValidator" 
                     EnableClientScript="False"
                     OnServerValidate="MyValidator_Server">
                     6)
                  </asp:CustomValidator>
               </td>
            </tr>
            <tr>
               <td style="width: 100px">
                  <asp:Label ID="Label5" runat="server" Text="Passwort"/>
               </td>
               <td style="width: 100px">
                  <asp:TextBox ID="TextBox5" runat="server"/>
               </td>
               <td style="width: 100px">
                  <asp:CompareValidator 
                     ID="CompareValidator1" 
                     runat="server" 
                     ControlToCompare="TextBox4"
                     ControlToValidate="TextBox5" 
                     ErrorMessage="Passwörter stimmen nicht überein">
                     5)
                  </asp:CompareValidator>
               </td>
            </tr>
            <tr>
               <td style="width: 100px">
               </td>
               <td style="width: 100px; text-align: right">
                  <asp:Button ID="Button1" runat="server" Text="Button" />
               </td>
               <td style="width: 100px; text-align: right">
               </td>
            </tr>
            <tr>
               <td colspan="3" style="text-align: center">
                  <asp:ValidationSummary ID="ValidationSummary1" runat="server" />
               </td>
            </tr>
         </table>
      </div>
   </form>
</body>
</html>