﻿using System;
using System.Web;
using System.Collections;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.EnterpriseServices;

[WebService(Namespace = "http://shinja.net/")]
[WebServiceBinding(ConformsTo = WsiProfiles.None)]
public class Calculator : System.Web.Services.WebService
{
   public Calculator()
   {
   }

   [WebMethod(BufferResponse=false)]
   public string GetText(string bookid)
   {
      string s = string.Empty;

      //z.B. Auslesen eines ganzen Buches

      return s;
   }

   [WebMethod(CacheDuration = 20)]
   public double Temperature(int country)
   {
      double temperature = 0.0;
      //Abfrage der Temperatur in einem Land.
      return temperature;
   }

   [WebMethod(CacheDuration = 20)]
   public string DateAndTime()
   {
      return DateTime.Now.ToString();
   }

   [WebMethod(TransactionOption = TransactionOption.Required)]
   public void Workflow()
   {
      //Aufruf einer COM+ Komponente, die Transaktionen ausführt.
   }

   [WebMethod(MessageName="AddInt")]
   public int Addition(int i, int j)
   {
      return i + j;
   }

   [WebMethod(MessageName="AddDec")]
   public decimal Addition(decimal i, decimal j)
   {
      return i + j;
   }

   [WebMethod(CacheDuration=20)]
   public int Subtract(int i, int j)
   {
      return i - j;
   }

   [WebMethod(Description="Diese WebMethode mulitliziert 2 Ganzzahlen")]
   public int Multiplication(int i, int j)
   {
      //Künstliche Verzögerung
      System.Threading.Thread.Sleep(5000);
      return i * j;
   }

   [WebMethod(TransactionOption=TransactionOption.Required)]
   public int Division(int i, int j)
   {
      return i / j;
   }

   [WebMethod(EnableSession=true)]
   public void StopWatchStart()
   {
      Session["stopwatch"] = DateTime.Now;
   }

   [WebMethod(EnableSession=true)]
   public string StopWatchStop()
   {
      TimeSpan ts = DateTime.Now - ((DateTime)Session["stopwatch"]);
      return ts.Seconds.ToString();
   }
}