using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using System.Security.Cryptography.X509Certificates;

using WSClient.localhost;
using WSClient.localhost1;

namespace WSClient
{
   //Alternativ
   //using localhost;

   public partial class Form1 : Form
   {
      public Form1()
      {
         InitializeComponent();
      }

      private void Sample01Button1_Click(object sender, EventArgs e)
      {
         Calculator calc = new Calculator();
         Sample01Label1.Text = calc.Addition(4, 3).ToString();
      }

      Calculator calcGlobal = new Calculator();
      private void Sample02Start_Click(object sender, EventArgs e)
      {
         if (calcGlobal.CookieContainer == null)
            calcGlobal.CookieContainer = new System.Net.CookieContainer();

         calcGlobal.StopWatchStart();
      }

      private void Sample02Stop_Click(object sender, EventArgs e)
      {
         Sample02Out.Text = calcGlobal.StopWatchStop();

      }

      private void Sample03Button_Click(object sender, EventArgs e)
      {
         PayService s = new PayService();

         PayHeader ph = new PayHeader();
         ph.User = Sample03TextBox1.Text;
         ph.Password = Sample03TextBox2.Text;

         s.PayHeaderValue = ph;

         Sample03Label.Text = s.InfoWithPayment();
      }

      private void Sample04Button1_Click(object sender, EventArgs e)
      {
         Calculator calc = new Calculator();
         calc.MultiplicationCompleted += new MultiplicationCompletedEventHandler(calc_MultiplicationCompleted);
         calc.MultiplicationAsync(3, 5);
      }

      void calc_MultiplicationCompleted(object sender, MultiplicationCompletedEventArgs e)
      {
         Sample04Label1.Text = e.Result.ToString();
      }

      private void Sample05Button1_Click(object sender, EventArgs e)
      {
         Calculator calc = new Calculator();
         Sample05Label1.Text = calc.DateAndTime();
      }

      private void Sample06Button1_Click(object sender, EventArgs e)
      {
         Calculator calc = new Calculator();
         calc.Proxy = new System.Net.WebProxy("http://FirmenProxy", true);
         Sample06Label1.Text = calc.Addition(3, 4).ToString();
      }

      //private void Button1_Click(object sender, EventArgs e)
      //{
      //   //Beispiel mit Client-Zertifikat
      //   Calculator c = new Calculator();

      //   X509Certificate cert = X509Certificate.CreateFromCertFile(@"X:\Anbieter.cer");
      //   c.ClientCertificates.Add(cert);
      //}
   }
}