using System;
using System.Collections.Generic;
using System.Text;

using System.Runtime.Remoting.Lifetime;

namespace RemoteObjects
{
   public class Customers : MarshalByRefObject
   {
      public Customers()
      {
         System.Diagnostics.Debug.WriteLine("----------ctor----------");
      }

      public string GetCustomers()
      {
         return "Kundenname";
      }

      public override object InitializeLifetimeService()
      {
         ILease lease = (ILease)base.InitializeLifetimeService();
         if (lease.CurrentState == LeaseState.Initial)
         {
            lease.InitialLeaseTime = TimeSpan.FromSeconds(3);
            lease.SponsorshipTimeout = TimeSpan.FromSeconds(10);
            lease.RenewOnCallTime = TimeSpan.FromSeconds(2);
         }
         return lease;
      }

      ~Customers()
      {
         System.Diagnostics.Debug.WriteLine("----------~ctor----------");
      }
   }
}