using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using RemoteObjects;

using System.Runtime.Remoting;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Tcp;

using System.Runtime.Remoting.Lifetime;

namespace RemotingClient
{
   public partial class Form1 : Form
   {
      public Form1()
      {
         InitializeComponent();

         RemotingConfiguration.Configure("RemotingClient.exe.config", false);   
      }

      private void button1_Click(object sender, EventArgs e)
      {
         Customers c = new Customers();

         ILease clientLease = (ILease)RemotingServices.GetLifetimeService(c);

         if (clientLease == null)
            MessageBox.Show("Kein Lease");

         System.Diagnostics.Debug.WriteLine("InitialLeaseTime" + clientLease.InitialLeaseTime);
         System.Diagnostics.Debug.WriteLine("CurrentLeaseTime" + clientLease.CurrentLeaseTime);
         System.Diagnostics.Debug.WriteLine("RenewOnCallTime" + clientLease.RenewOnCallTime);
         System.Diagnostics.Debug.WriteLine("SponsorshipTimeout" + clientLease.SponsorshipTimeout);
         System.Diagnostics.Debug.WriteLine("CurrentLeaseState" + clientLease.CurrentState.ToString());

         //Sponsor registrieren
         ClientSponsor clientSponsor = new ClientSponsor();
         clientLease.Register(clientSponsor);

         System.Diagnostics.Debug.WriteLine(c.GetCustomers());

         System.Threading.Thread.Sleep(1000);

         System.Diagnostics.Debug.WriteLine("InitialLeaseTime" + clientLease.InitialLeaseTime);
         System.Diagnostics.Debug.WriteLine("CurrentLeaseTime" + clientLease.CurrentLeaseTime);
         System.Diagnostics.Debug.WriteLine("RenewOnCallTime" + clientLease.RenewOnCallTime);
         System.Diagnostics.Debug.WriteLine("SponsorshipTimeout" + clientLease.SponsorshipTimeout);
         System.Diagnostics.Debug.WriteLine("CurrentLeaseState" + clientLease.CurrentState.ToString());

         clientLease.Unregister(clientSponsor);

         GC.Collect();
         GC.WaitForPendingFinalizers();
      }
   }
}