using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using RemoteObjects;

using System.Runtime.Remoting;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Tcp;

namespace RemotingClient
{
   public partial class Client : Form
   {
      Profile profile;
      Customer customer;

      public Client()
      {
         InitializeComponent();

         TcpClientChannel channel = new TcpClientChannel();

         ChannelServices.RegisterChannel(channel, false);

         RemotingConfiguration.RegisterWellKnownClientType
         (typeof(Profile), "tcp://localhost:1234/Profile");

         profile = new Profile();
         profile.SetProfile("Shinja Strasser");
         customer = profile.GetCustomer();

     }

      private void button1_Click(object sender, EventArgs e)
      {
         //Bei SingleCall ... Testperson
         //Bei Singleton  ... Shinja Strasser

         System.Diagnostics.Debug.WriteLine("call msgbox");
         MessageBox.Show(customer.Customername);
         System.Diagnostics.Debug.WriteLine("------------------------------");
      }
   }
}